Gsv::SourceCompletionError Class Reference

`#include <gtksourceviewmm/completion.h>`

Inheritance diagram for Gsv::SourceCompletionError:
[legend]

## Public Types

enum | Code { ALREADY_BOUND, NOT_BOUND }

## Public Member Functions

| SourceCompletionError (Code error_code, const Glib::ustring& error_message)
| SourceCompletionError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
virtual | ~Error () noexcept
GQuark | domain () const
int | code () const
virtual Glib::ustring | what () const
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members

Protected Attributes inherited from Glib::Error
GError * | gobject_

## Member Enumeration Documentation

enum Gsv::SourceCompletionError::Code

Enumerator
ALREADY_BOUND |
NOT_BOUND |

## Constructor & Destructor Documentation

Gsv::SourceCompletionError::SourceCompletionError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gsv::SourceCompletionError::SourceCompletionError | ( | GError * | gobject | ) |

explicit

## Member Function Documentation

Code Gsv::SourceCompletionError::code | ( |  | ) | const